package contests

import (
	"context"
	"git.sch9.ru/new_gate/models"
)

type ContestUseCase interface {
	CreateContest(ctx context.Context, contest *models.Contest) (int32, error)
	ReadContestById(ctx context.Context, id int32) (*models.Contest, error)
	UpdateContest(ctx context.Context, contest *models.Contest) error
	DeleteContest(ctx context.Context, id int32) error
}
